<h1 mat-dialog-title>{{'CHANGE_PASSWORD' | translate}}</h1>
<p *ngIf="isResetPassword == 'true'" class="small">{{'CHANGE_PASSWORD__INSTRUCTION' | translate}}</p>
<div mat-dialog-content>
    <form [formGroup]="changePasswordForm">
        <div class="col-md-12">
            <div class="form-group">
                <label>{{'EMAIL' | translate}}</label>
                <input [attr.disabled]="true" formControlName="email" class="form-control" type="email">
            </div>
        </div>
        <!-- <div class="col-md-12">
            <div class="form-group">
                <label>{{'CURRENT_PASSWORD' | translate}}</label>
                <input autocomplete="new-password" formControlName="oldPasswordPassword" class="form-control"
                    type="password">
                <div
                    *ngIf="changePasswordForm.get('oldPasswordPassword').touched && changePasswordForm.get('oldPasswordPassword').errors">
                    <div *ngIf="changePasswordForm.get('oldPasswordPassword').errors?.required">
                        {{'CURRENT_PASSWORD_IS_REQUIRED' | translate}}
                    </div>
                </div>
            </div>
        </div> -->
        <div class="col-md-12">
          <div class="form-group">
            <label>{{'NEW_PASSWORD' | translate}}</label>
            <div class="input-group" style="border-style: none !important;">
              <input #newPassword formControlName="password" class="form-control" type="password" style="width: 80%;" (keyup)="validatePassRequirement()">
              <span class="btn input-group-text box-icon-eye" (click)="showHideNewPass()">
                <i *ngIf="!isNewPassShowed" class="material-icons" style="font-size: 17px;">visibility</i>
                <i *ngIf="isNewPassShowed" class="material-icons" style="font-size: 17px;">visibility_off</i>
              </span>
            </div>
            <!-- <input autocomplete="new-password" formControlName="password" class="form-control" type="password"> -->
            <div class="text-danger small" *ngIf="changePasswordForm.get('password').touched && changePasswordForm.get('password').errors">
              <div *ngIf="changePasswordForm.get('password').errors?.required">
                  {{'PASSWORD_IS_REQUIRED' | translate}}
              </div>
              <div *ngIf="changePasswordForm.get('password').errors?.minlength">
                  {{'YOU_HAVE_TO_ENTER_AT_LEAST_DIGIT' | translate}}
              </div>
            </div>
            <div class="text-danger small" *ngIf="!isPassContainsAlphanumeric">
              {{'PASSWORD_REQUIRED_ALPHANUMERIC' | translate}}
            </div>
            <div class="text-danger small d-flex" *ngIf="!isPassContainsSpecialChar">
              {{'PASSWORD_REQUIRED_SYMBOL' | translate}}
              <span class="ml-1">
                <button
                  mat-mini-fab
                  class="d-flex justify-content-center align-items-center mat-small"
                  [matTooltip]="symbolChar">
                  ?
                </button>
              </span>
            </div>
            <div class="text-danger small" *ngIf="!isPassNotContainsSpaceFirstAndLast">
              {{'PASSWORD_DONT_CONTAINS_WHITESPACE_FIRST_LAST' | translate}}
            </div>
          </div>
        </div>
        <div class="col-md-12">
          <div class="form-group">
            <label>{{'CONFIRM_PASSWORD' | translate}}</label>
            <div class="input-group" style="border-style: none !important;">
              <input #confirmPassword formControlName="confirmPassword" class="form-control" type="password" style="width: 80%;">
              <span class="btn input-group-text box-icon-eye" (click)="showHideConfirmPass()">
                <i *ngIf="!isConfirmPassShowed" class="material-icons" style="font-size: 17px;">visibility</i>
                <i *ngIf="isConfirmPassShowed" class="material-icons" style="font-size: 17px;">visibility_off</i>
              </span>
            </div>
            <!-- <input autocomplete="new-password" formControlName="confirmPassword" class="form-control" type="password"> -->
            <div class="text-danger small"
                *ngIf="changePasswordForm.get('confirmPassword').touched && changePasswordForm.get('confirmPassword').errors">
                <div *ngIf="changePasswordForm.get('confirmPassword').errors?.required">
                    {{'CONFIRM_PASSWORD_IS_REQUIRED' | translate}}
                </div>
            </div>
            <div class="text-danger small"
                *ngIf="changePasswordForm.get('confirmPassword').touched && changePasswordForm.hasError('notSame')">
                {{'PASSWORDS_DO_NOT_MATCH' | translate}}
            </div>
          </div>
        </div>
    </form>
</div>
<div mat-dialog-actions>
    <button class="btn btn-success btn-sm m-right-10" (click)="changePassword()" cdkFocusInitial><i class="las la-save"></i> {{'SAVE' | translate}}</button>
    <button class="btn btn-danger btn-sm" (click)="onNoClick()"><i class="las la-times-circle"></i> {{'CANCEL' | translate}}</button>
</div>
